> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# Simulate a bank wire funding notification

POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/simulation/payins/bankwire/funding
Content-Type: application/json

**Note – Sandbox only**

This endpoint is only available in the Sandbox environment, to simulate real-world bank wire payment.

Simulates an incoming bank wire funding notification to a Virtual Account, such as Mangopay would receive on its accounts in a Production scenario.

Reference: https://docs.mangopay.com/api-reference/simulation/simulate-bank-wire-funding-notification

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

### Body (application/json)

This endpoint expects a SimulateBankWireFundingNotificationRequest.

- `CreditedFunds` (SimulateBankWireFundingNotificationRequestCreditedFunds, required) — The simulated incoming funds.
- `Creditor` (SimulateBankWireFundingNotificationRequestCreditor, optional) — Identifies the Virtual Account targeted by the simulated wire transfer, by IBAN and BIC.
- `TransactionDetails` (SimulateBankWireFundingNotificationRequestTransactionDetails, optional) — Simulated debtor and remittance information for the incoming bank wire.

## Response

### 200

Success

## Types

### SimulateBankWireFundingNotificationRequestCreditedFunds

The simulated incoming funds.

- `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.
- `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.

### SimulateBankWireFundingNotificationRequestCreditor

Identifies the Virtual Account targeted by the simulated wire transfer, by IBAN and BIC.

- `CreditorAccount` (string, required) — The IBAN of the Virtual Account.
- `CreditorAgent` (list of string, required) — The BIC of the Virtual Account.

### SimulateBankWireFundingNotificationRequestTransactionDetails

Simulated debtor and remittance information for the incoming bank wire.

- `DebtorName` (string, optional) — The simulated sender name.
- `DebtorAccount` (string, optional) — The simulated sender account number (e.g. IBAN).
- `DebtorAgent` (string, optional) — The simulated sender bank code (e.g. BIC).
- `RemittanceInformationLine1` (string, optional) — Max length: 255 combined for the 4 remittance information lines. The first line of remittance information. The four lines are concatenated (separated by a space) into a single string in the pay-in's `ReceivedWireReference`.
- `RemittanceInformationLine2` (string, optional) — Max length: 255 combined for the 4 remittance information lines. The second line of remittance information. The four lines are concatenated (separated by a space) into a single string in the pay-in's `ReceivedWireReference`.
- `RemittanceInformationLine3` (string, optional) — Max length: 255 combined for the 4 remittance information lines. The third line of remittance information. The four lines are concatenated (separated by a space) into a single string in the pay-in's `ReceivedWireReference`.
- `RemittanceInformationLine4` (string, optional) — Max length: 255 combined for the 4 remittance information lines. The fourth line of remittance information. The four lines are concatenated (separated by a space) into a single string in the pay-in's `ReceivedWireReference`.

## Examples

**Request**

```json
{
  "body": {
    "CreditedFunds": {
      "Amount": 10000,
      "Currency": "EUR"
    },
    "Creditor": {
      "CreditorAccount": "FR7630056009271234567890182",
      "CreditorAgent": [
        "CCFRFRPPXXX"
      ]
    },
    "TransactionDetails": {
      "DebtorAccount": "DE89370400440532013000",
      "DebtorAgent": "COBADEFFXXX",
      "DebtorName": "John Doe",
      "RemittanceInformationLine1": null,
      "RemittanceInformationLine2": null,
      "RemittanceInformationLine3": null,
      "RemittanceInformationLine4": null
    }
  }
}
```

**Response**

```json
{}
```